org.codehaus.plexus.metadata.merge

## Class AbstractMerger

- java.lang.Object
- - org.codehaus.plexus.metadata.merge.AbstractMerger

All Implemented Interfaces:
  Merger

Direct Known Subclasses:
  ComponentsXmlMerger, PlexusXmlMerger

    public abstract class AbstractMerger
    extends java.lang.Object
    implements Merger

Base class for common mergers.

Author:
  Brett Porter

### Field Summary

### Fields inherited from interface org.codehaus.plexus.metadata.merge.Merger

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractMerger()`

### Method Summary

Methods
`void` `mergeDescriptors(java.io.File outputDescriptor, java.util.List<java.io.File> descriptors)`
`void` `writeMergedDocument(org.jdom.Document mergedDocument, java.io.File file)` Allows writing out a merged JDom Document to the specified file.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.codehaus.plexus.metadata.merge.Merger

`merge`

### Constructor Detail

#### AbstractMerger

    public AbstractMerger()

### Method Detail

#### writeMergedDocument

    public void writeMergedDocument(org.jdom.Document mergedDocument,
                           java.io.File file)
                             throws java.io.IOException

Description copied from interface: `Merger`
Allows writing out a merged JDom Document to the specified file.

Specified by:
  `writeMergedDocument` in interface `Merger`
Parameters:
  `mergedDocument` - the merged `Document` instance.
  `file` - File to write the merged contents to.
Throws:
  `java.io.IOException` - if there was an error while writing merged contents to the specified file.
See Also:
  `Merger.writeMergedDocument(org.jdom.Document, java.io.File)`

#### mergeDescriptors

    public void mergeDescriptors(java.io.File outputDescriptor,
                        java.util.List<java.io.File> descriptors)
                          throws java.io.IOException

Specified by:
  `mergeDescriptors` in interface `Merger`
Throws:
  `java.io.IOException`